package com.template.common.utils;

import org.springframework.stereotype.Component;

import java.util.HashMap;

/**
 * 微信公众号开发配置类
 * @author lujunjie
 * @date   2018/03/01
 */
@Component
public class WxConfig {

    /**
     * 开发者ID
     */
    public static String apicode = "CS0001";

    /**
     * 商户号
     */
    public static String apikey  = "XMZnRsZe61hEXyYa7JuAtUupJZ2Q5byc";


    /**
     * 统一下单-通知链接
     */
    public static String unifiedorderNotifyUrl = "https://app.dev.9kbs.com/";


    /**
     * 连接超时时间
     */
    public static Integer connectionTimeout = 15000;

    /**
     * 连接超时时间
     */
    public static Integer readTimeout = 15000;

    //支付map缓存处理
    private static HashMap<String,String> payMap = new HashMap<String,String>();
    public static String getPayMap(String key) {
        return payMap.get(key);
    }
    public static void setPayMap(String key,String value) {
        payMap.put(key,value);
    }


}
